Debian Bug report logs - #504891
FTBFS with GCC 4.4: missing #include

version graph

Package: aeskulap; Maintainer for aeskulap is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for aeskulap is src:aeskulap.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Fri, 7 Nov 2008 20:06:01 UTC

Severity: normal

Tags: patch

Found in version aeskulap/0.2.2b1-2

Fixed in version aeskulap/0.2.2b1-4

Done: Andreas Tille <tille@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.nongnu.org/bugs/index.php?24777

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#504891; Package aeskulap. (Fri, 07 Nov 2008 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 07 Nov 2008 20:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.4: missing #include
Date: Fri, 7 Nov 2008 21:04:20 +0100
Package: aeskulap
Version: 0.2.2b1-2
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.4
Tags: patch

Your package fails to build with the upcoming GCC 4.4.  Version 4.4
has not been released yet but I'm building with a snapshot in order
to find errors and give people an advance warning.

GCC 4.4 cleaned up some more C++ headers.  You always have to #include
headers directly and cannot rely for things to be included indirectly.

You can reproduce this problem with gcc-snapshot from unstable.

> Automatic build of aeskulap_0.2.2b1-2 on em64t by sbuild/amd64 0.53
...
>  g++ -DHAVE_CONFIG_H -I. -I.. -DORBIT2=1 -pthread -I/usr/include/gconfmm-2.6 -I/usr/lib/gconfmm-2.6/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/gconf/2 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0 -D_REENTRANT -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/atkmm-1.6 -I/usr/include/gtk-2.0 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/cairomm-1.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -g -O2 -g -Wall -O2 -c aconfiguration.cpp  -fPIC -DPIC -o .libs/aconfiguration.o
> In file included from aconfiguration.cpp:87:
> aconfiguration-gconf.cpp: In member function 'std::map<Glib::ustring, Aeskulap::Configuration::ServerData, std::less<Glib::ustring>, std::allocator<std::pair<const Glib::ustring, Aeskulap::Configuration::ServerData> > >* Aeskulap::Configuration::get_serverlist()':
> aconfiguration-gconf.cpp:129: error: 'snprintf' was not declared in this scope
> make[3]: *** [aconfiguration.lo] Error 1
> make[3]: Leaving directory `/build/tbm/aeskulap-0.2.2b1/configuration'

--- configuration/aconfiguration-gconf.cpp~	2008-11-07 19:31:00.000000000 +0000
+++ configuration/aconfiguration-gconf.cpp	2008-11-07 19:31:07.000000000 +0000
@@ -27,6 +27,7 @@
 */
 
 #include <gconfmm.h>
+#include <cstdio>
 #include <iostream>
 
 namespace Aeskulap {

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#504891; Package aeskulap. (Sat, 08 Nov 2008 05:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 08 Nov 2008 05:57:09 GMT) Full text and rfc822 format available.

Message #10 received at 504891@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 504891@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#504891: FTBFS with GCC 4.4: missing #include
Date: Sat, 8 Nov 2008 14:55:56 +0900
forwarded 504891  https://savannah.nongnu.org/bugs/index.php?24777
thanks

Hi all,

to save time and to minimize divergence, I propose to try to get the patch
accepted upstream before applying it by ourselves.

Have a nice day,

--
Charles




Information forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#504891; Package aeskulap. (Mon, 10 Nov 2008 07:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 10 Nov 2008 07:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 504891@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Alexander Pipelka <pipelka@teleweb.at>
Cc: 504891@bugs.debian.org
Subject: Bug#504891: FTBFS with GCC 4.4: missing #include (fwd)
Date: Mon, 10 Nov 2008 07:59:18 +0100 (CET)
Hi Alexander,

as you can see below there a one line patch is needed to let aeskulap
(namely version 0.2.2b1 which is packaged for Debian GNU/Linux) compile
with the upcoming gcc 4.4 compiler.  Please tell me whether you are
planing a release in the near future and I might consider packaging this
version or whether it might be better to apply the patch to the Debian
source to compile the package with gcc-4.4.

Kind regards and thanks for working on Aeskulap

      Andreas.

-- 
http://fam-tille.de

---------- Forwarded message ----------
Date: Fri, 7 Nov 2008 21:04:20 +0100
From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: [Debian-med-packaging] Bug#504891: FTBFS with GCC 4.4: missing #include
Resent-Date: Fri, 07 Nov 2008 20:06:01 +0000
Resent-Date: Fri, 07 Nov 2008 20:06:04 +0000
Resent-From: Martin Michlmayr <tbm@cyrius.com>
Resent-To: debian-bugs-dist@lists.debian.org
Resent-cc: Debian-Med Packaging Team
 <debian-med-packaging@lists.alioth.debian.org>

Package: aeskulap
Version: 0.2.2b1-2
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.4
Tags: patch

Your package fails to build with the upcoming GCC 4.4.  Version 4.4
has not been released yet but I'm building with a snapshot in order
to find errors and give people an advance warning.

GCC 4.4 cleaned up some more C++ headers.  You always have to #include
headers directly and cannot rely for things to be included indirectly.

You can reproduce this problem with gcc-snapshot from unstable.

> Automatic build of aeskulap_0.2.2b1-2 on em64t by sbuild/amd64 0.53
...
>  g++ -DHAVE_CONFIG_H -I. -I.. -DORBIT2=1 -pthread -I/usr/include/gconfmm-2.6 -I/usr/lib/gconfmm-2.6/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/gconf/2 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0 -D_REENTRANT -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/atkmm-1.6 -I/usr/include/gtk-2.0 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/cairomm-1.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -g -O2 -g -Wall -O2 -c aconfiguration.cpp  -fPIC -DPIC -o .libs/aconfiguration.o
> In file included from aconfiguration.cpp:87:
> aconfiguration-gconf.cpp: In member function 'std::map<Glib::ustring, Aeskulap::Configuration::ServerData, std::less<Glib::ustring>, std::allocator<std::pair<const Glib::ustring, Aeskulap::Configuration::ServerData> > >* Aeskulap::Configuration::get_serverlist()':
> aconfiguration-gconf.cpp:129: error: 'snprintf' was not declared in this scope
> make[3]: *** [aconfiguration.lo] Error 1
> make[3]: Leaving directory `/build/tbm/aeskulap-0.2.2b1/configuration'

--- configuration/aconfiguration-gconf.cpp~	2008-11-07 19:31:00.000000000 +0000
+++ configuration/aconfiguration-gconf.cpp	2008-11-07 19:31:07.000000000 +0000
@@ -27,6 +27,7 @@
 */

 #include <gconfmm.h>
+#include <cstdio>
 #include <iostream>

 namespace Aeskulap {

-- 
Martin Michlmayr
http://www.cyrius.com/



_______________________________________________
Debian-med-packaging mailing list
Debian-med-packaging@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/debian-med-packaging





Noted your statement that Bug has been forwarded to https://savannah.nongnu.org/bugs/index.php?24777. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Thu, 20 Nov 2008 14:42:06 GMT) Full text and rfc822 format available.

Reply sent to Andreas Tille <tille@debian.org>:
You have taken responsibility. (Wed, 25 Mar 2009 15:47:11 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Wed, 25 Mar 2009 15:47:34 GMT) Full text and rfc822 format available.

Message #22 received at 504891-close@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: 504891-close@bugs.debian.org
Subject: Bug#504891: fixed in aeskulap 0.2.2b1-4
Date: Wed, 25 Mar 2009 15:17:05 +0000
Source: aeskulap
Source-Version: 0.2.2b1-4

We believe that the bug you reported is fixed in the latest version of
aeskulap, which is due to be installed in the Debian FTP archive:

aeskulap_0.2.2b1-4.diff.gz
  to pool/main/a/aeskulap/aeskulap_0.2.2b1-4.diff.gz
aeskulap_0.2.2b1-4.dsc
  to pool/main/a/aeskulap/aeskulap_0.2.2b1-4.dsc
aeskulap_0.2.2b1-4_i386.deb
  to pool/main/a/aeskulap/aeskulap_0.2.2b1-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504891@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Tille <tille@debian.org> (supplier of updated aeskulap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Mar 2009 14:02:36 +0100
Source: aeskulap
Binary: aeskulap
Architecture: source i386
Version: 0.2.2b1-4
Distribution: unstable
Urgency: low
Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Andreas Tille <tille@debian.org>
Description: 
 aeskulap   - medical image viewer and DICOM network client
Closes: 504891
Changes: 
 aeskulap (0.2.2b1-4) unstable; urgency=low
 .
   * Fixed watch file
   * Standards-Version: 3.8.1 (no changes needed)
   * debian/patches/20_gcc4.4.patch: Patch to compile with gcc 4.4
     (Thanks to Martin Michlmayr <tbm@cyrius.com>)
     Closes: #504891
Checksums-Sha1: 
 7e58732f4678c44fc723c13c1608fda07a565dbd 1421 aeskulap_0.2.2b1-4.dsc
 2b724da2988a2e07f40e03d95e3711b2249a3d23 11802 aeskulap_0.2.2b1-4.diff.gz
 97be80550561e97ed294c5b16206ec2f78c27405 499444 aeskulap_0.2.2b1-4_i386.deb
Checksums-Sha256: 
 febb4d77f114cd269b55af2612d3f752041a4c50fd93c76948a39aa576d4add0 1421 aeskulap_0.2.2b1-4.dsc
 8cd4c32b9a019c1b53720ec3bfe1e8869f8e3716538b64280f3d8f3cd5593d19 11802 aeskulap_0.2.2b1-4.diff.gz
 4f231157295a3136c4bba9b06da30c663c9eaac2a3fb6b851f117934ba064baa 499444 aeskulap_0.2.2b1-4_i386.deb
Files: 
 81c9e27e9fee8ea6ca8cbd0d9a17d796 1421 science optional aeskulap_0.2.2b1-4.dsc
 d46777db360303f7ad70a46f0cd4c4ce 11802 science optional aeskulap_0.2.2b1-4.diff.gz
 29c4e1db0f06a1180f2d33c7bc3bc60c 499444 science optional aeskulap_0.2.2b1-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJykTjYDBbMcCf01oRAtcWAKDCcvSsvwbFT0Zjq4BgaTT00rmltwCgnXaO
nrCw9qvh/gH9mBsMZf9eAes=
=y1d7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 May 2009 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:10:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.